CompactionIterable (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.compaction
Class CompactionIterable

    java.lang.Object
      org.apache.cassandra.db.compaction.AbstractCompactionIterable
          org.apache.cassandra.db.compaction.CompactionIterable

All Implemented Interfaces:
  java.lang.Iterable<AbstractCompactedRow>, CompactionInfo.Holder

    public class CompactionIterable

extends AbstractCompactionIterable

Nested Class Summary
`protected class` | `CompactionIterable.Reducer`

Field Summary

Fields inherited from class org.apache.cassandra.db.compaction.AbstractCompactionIterable
`bytesRead, controller, scanners, throttle, totalBytes, type`

Constructor Summary
`` | `CompactionIterable(OperationType type, java.lang.Iterable<SSTableReader> sstables, CompactionController controller)`
`protected` | `CompactionIterable(OperationType type, java.util.List<SSTableScanner> scanners, CompactionController controller)`

Method Summary
`protected static java.util.List<SSTableScanner>` | `getScanners(java.lang.Iterable<SSTableReader> sstables)`
`CloseableIterator<AbstractCompactedRow>` | `iterator()`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.cassandra.db.compaction.AbstractCompactionIterable
`getCompactionInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompactionIterable

    public CompactionIterable(OperationType type,
                              java.lang.Iterable<SSTableReader> sstables,
                              CompactionController controller)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

### CompactionIterable

    protected CompactionIterable(OperationType type,
                                 java.util.List<SSTableScanner> scanners,
                                 CompactionController controller)

Method Detail

### getScanners

    protected static java.util.List<SSTableScanner> getScanners(java.lang.Iterable<SSTableReader> sstables)
                                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### iterator

    public CloseableIterator<AbstractCompactedRow> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<AbstractCompactedRow>`
  Specified by:
    `iterator` in class `AbstractCompactionIterable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation